com.smartgwt.client.core

## Class KeyIdentifier

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.KeyIdentifier

-     public class KeyIdentifier
      extends DataClass

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyIdentifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAltKey()`
    `boolean` | `getCtrlKey()` Return the ctrlKey.
    `java.lang.String` | `getKeyName()` Return the keyName.
    `boolean` | `getShiftKey()`
    `void` | `setAltKey(boolean altKey)`
    `void` | `setCtrlKey(boolean ctrlKey)` Set the ctrlKey.
    `void` | `setKeyName(java.lang.String keyName)` Set the keyName.
    `void` | `setShiftKey(boolean shiftKey)`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyIdentifier

          public KeyIdentifier()

  - ### Method Detail

    - #### setKeyName

          public void setKeyName(java.lang.String keyName)

      Set the keyName.
      Parameters:
        `keyName` - the keyName

    - #### getKeyName

          public java.lang.String getKeyName()

      Return the keyName.
      Returns:
        the keyName

    - #### setCtrlKey

          public void setCtrlKey(boolean ctrlKey)

      Set the ctrlKey.
      Parameters:
        `ctrlKey` - the ctrlKey

    - #### getCtrlKey

          public boolean getCtrlKey()

      Return the ctrlKey.
      Returns:
        the ctrlKey

    - #### setShiftKey

          public void setShiftKey(boolean shiftKey)

    - #### getShiftKey

          public boolean getShiftKey()

    - #### setAltKey

          public void setAltKey(boolean altKey)

    - #### getAltKey

          public boolean getAltKey()